WinShopAPI docs
ReferenceDocumentsStock takingStock takings

Unlock a stock taking

Releases the lock on the stock taking. Returns 400 when the lock belongs to another user. Requires `Permissions.StockTakings.Update`.

DELETE
/api/documents/stock-taking/stock-takings/{documentId}/lock

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

documentId*integer
Formatint32

Response Body

response?unknownapplication/octet-stream
curl -X DELETE 'https://<your-instance>/api/documents/stock-taking/stock-takings/0/lock' \  -H 'Authorization: Bearer <access-token>'
null